"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UserService = exports.UserGroupService = exports.TrackService = exports.StatusService = exports.StatsService = exports.StatsClientService = exports.ScanStationService = exports.ScanService = exports.RunnerTeamService = exports.RunnerService = exports.RunnerOrganisationService = exports.PermissionService = exports.ImportService = exports.DonorService = exports.AuthService = exports.UserAction = exports.ResponsePermission = exports.Permission = exports.CreatePermission = exports.OpenAPI = exports.ApiError = void 0;
/* istanbul ignore file */
/* tslint:disable */
/* eslint-disable */
var ApiError_1 = require("./core/ApiError");
Object.defineProperty(exports, "ApiError", { enumerable: true, get: function () { return ApiError_1.ApiError; } });
var OpenAPI_1 = require("./core/OpenAPI");
Object.defineProperty(exports, "OpenAPI", { enumerable: true, get: function () { return OpenAPI_1.OpenAPI; } });
var CreatePermission_1 = require("./models/CreatePermission");
Object.defineProperty(exports, "CreatePermission", { enumerable: true, get: function () { return CreatePermission_1.CreatePermission; } });
var Permission_1 = require("./models/Permission");
Object.defineProperty(exports, "Permission", { enumerable: true, get: function () { return Permission_1.Permission; } });
var ResponsePermission_1 = require("./models/ResponsePermission");
Object.defineProperty(exports, "ResponsePermission", { enumerable: true, get: function () { return ResponsePermission_1.ResponsePermission; } });
var UserAction_1 = require("./models/UserAction");
Object.defineProperty(exports, "UserAction", { enumerable: true, get: function () { return UserAction_1.UserAction; } });
var AuthService_1 = require("./services/AuthService");
Object.defineProperty(exports, "AuthService", { enumerable: true, get: function () { return AuthService_1.AuthService; } });
var DonorService_1 = require("./services/DonorService");
Object.defineProperty(exports, "DonorService", { enumerable: true, get: function () { return DonorService_1.DonorService; } });
var ImportService_1 = require("./services/ImportService");
Object.defineProperty(exports, "ImportService", { enumerable: true, get: function () { return ImportService_1.ImportService; } });
var PermissionService_1 = require("./services/PermissionService");
Object.defineProperty(exports, "PermissionService", { enumerable: true, get: function () { return PermissionService_1.PermissionService; } });
var RunnerOrganisationService_1 = require("./services/RunnerOrganisationService");
Object.defineProperty(exports, "RunnerOrganisationService", { enumerable: true, get: function () { return RunnerOrganisationService_1.RunnerOrganisationService; } });
var RunnerService_1 = require("./services/RunnerService");
Object.defineProperty(exports, "RunnerService", { enumerable: true, get: function () { return RunnerService_1.RunnerService; } });
var RunnerTeamService_1 = require("./services/RunnerTeamService");
Object.defineProperty(exports, "RunnerTeamService", { enumerable: true, get: function () { return RunnerTeamService_1.RunnerTeamService; } });
var ScanService_1 = require("./services/ScanService");
Object.defineProperty(exports, "ScanService", { enumerable: true, get: function () { return ScanService_1.ScanService; } });
var ScanStationService_1 = require("./services/ScanStationService");
Object.defineProperty(exports, "ScanStationService", { enumerable: true, get: function () { return ScanStationService_1.ScanStationService; } });
var StatsClientService_1 = require("./services/StatsClientService");
Object.defineProperty(exports, "StatsClientService", { enumerable: true, get: function () { return StatsClientService_1.StatsClientService; } });
var StatsService_1 = require("./services/StatsService");
Object.defineProperty(exports, "StatsService", { enumerable: true, get: function () { return StatsService_1.StatsService; } });
var StatusService_1 = require("./services/StatusService");
Object.defineProperty(exports, "StatusService", { enumerable: true, get: function () { return StatusService_1.StatusService; } });
var TrackService_1 = require("./services/TrackService");
Object.defineProperty(exports, "TrackService", { enumerable: true, get: function () { return TrackService_1.TrackService; } });
var UserGroupService_1 = require("./services/UserGroupService");
Object.defineProperty(exports, "UserGroupService", { enumerable: true, get: function () { return UserGroupService_1.UserGroupService; } });
var UserService_1 = require("./services/UserService");
Object.defineProperty(exports, "UserService", { enumerable: true, get: function () { return UserService_1.UserService; } });
