export declare type Permission = {
    id: number;
    target: Permission.target;
    action: Permission.action;
};
export declare namespace Permission {
    enum target {
        RUNNER = "RUNNER",
        ORGANISATION = "ORGANISATION",
        TEAM = "TEAM",
        TRACK = "TRACK",
        USER = "USER",
        USERGROUP = "USERGROUP",
        PERMISSION = "PERMISSION",
        STATSCLIENT = "STATSCLIENT",
        DONOR = "DONOR",
        SCAN = "SCAN",
        STATION = "STATION"
    }
    enum action {
        GET = "GET",
        CREATE = "CREATE",
        UPDATE = "UPDATE",
        DELETE = "DELETE",
        IMPORT = "IMPORT"
    }
}
