"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.StatusService = void 0;
/* istanbul ignore file */
/* tslint:disable */
/* eslint-disable */
const request_1 = require("../core/request");
class StatusService {
    /**
     * Get
     * A very basic status/health endpoint that just checks if the database connection is available. <br> The available information depth will be expanded later.
     * @returns any Successful response
     * @throws ApiError
     */
    static async statusControllerGet() {
        const result = await request_1.request({
            method: 'GET',
            path: `/api/status`,
        });
        return result.body;
    }
}
exports.StatusService = StatusService;
